package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairCollaborateRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.CollaborateDetailVo;
import com.repair.model.vo.CollaborateRecordVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairCollaborateRecordService extends IService<RepairCollaborateRecord> {
    int insertRepairCollaborateRecord(RepairCollaborateRecord rns);

    int updateRepairCollaborateRecord(RepairCollaborateRecord rns);

    PageUtils<RepairCollaborateRecord> queryPageRepairCollaborateRecords(int currentPage, int pageCount, String name);

    int deleteRepairCollaborateRecordById(int id);

    RepairCollaborateRecord getRepairById(int id);

    List<RepairCollaborateRecord> getRepairs();

    List<CollaborateRecordVo> queryRepairCollaborate(List<Integer> recordIds);

    RepairCollaborateRecord getRepairByRecordId(Integer recordId);

    RepairCollaborateRecord getRepairNeByRecordId(Integer recordId);

    CollaborateDetailVo queryCollaborateDetail(Integer recordId);
}
